首頁 / System / Linux / ubuntu / sudo apt-get install tomcat5.5 tomcat5.5-admin tomcat5.5-webapps

sudo apt-get install tomcat5.5 tomcat5.5-admin tomcat5.5-webapps

這是我在ubuntu 7.10簡體中文下的訊息:

apt-get install tomcat5.5 tomcat5.5-admin tomcat5.5-webapps
讀取套件清單中… 完成
了解套件依存關係中
Reading state information… 完成
下列的【新】套件都將被安裝:
ant ecj jsvc libbcel-java libcommons-beanutils-java
libcommons-collections-java libcommons-collections3-java
libcommons-daemon-java libcommons-dbcp-java libcommons-digester-java
libcommons-el-java libcommons-fileupload-java libcommons-launcher-java
libcommons-logging-java libcommons-modeler-java libcommons-pool-java
libcommons-validator-java libecj-java libgcj8-jar liblog4j1.2-java
libmx4j-java liboro-java libregexp-java libservlet2.3-java libstruts1.2-java
libtomcat5.5-java
建議(Suggested)的套件:
ant-doc libbcel-java-doc libcommons-beanutils-java-doc
libcommons-collections-java-doc libcommons-collections3-java-doc
liblogkit-java libavalon-framework-java classpath-doc libgnumail-java jython
libapache-mod-jk libapache2-mod-jk
推薦(Recommended)的套件:
ant-optional ant-gcj ecj-gcj libecj-java-gcj liblog4j1.2-java-gcj
下列的【新】套件都將被安裝:
ant ecj jsvc libbcel-java libcommons-beanutils-java
libcommons-collections-java libcommons-collections3-java
libcommons-daemon-java libcommons-dbcp-java libcommons-digester-java
libcommons-el-java libcommons-fileupload-java libcommons-launcher-java
libcommons-logging-java libcommons-modeler-java libcommons-pool-java
libcommons-validator-java libecj-java libgcj8-jar liblog4j1.2-java
libmx4j-java liboro-java libregexp-java libservlet2.3-java libstruts1.2-java
libtomcat5.5-java tomcat5.5 tomcat5.5-admin tomcat5.5-webapps
更新 0 個套件,新安裝 29 個套件,刪除 0 個套件,另不更新 258 個套件。
需要下載 22.8MB 的檔案。
解壓縮後將消耗 47.6MB 的空間。
繼續執行嗎? 是按 [Y] 鍵,否按 [n] 鍵 Y
下載:1 http://tw.archive.ubuntu.com gutsy/main ant 1.7.0-3 [1281kB] 下載:2 http://tw.archive.ubuntu.com gutsy/main libecj-java 3.3.0+0728-5 [1158kB] 下載:3 http://tw.archive.ubuntu.com gutsy/main libgcj8-jar 4.2.1-5ubuntu5 [10.1MB] 下載:4 http://tw.archive.ubuntu.com gutsy/main ecj 3.3.0+0728-5 [13.6kB] 下載:5 http://tw.archive.ubuntu.com gutsy/universe libcommons-daemon-java 1.0.2~svn20061127-6 [38.9kB] 下載:6 http://tw.archive.ubuntu.com gutsy/universe jsvc 1.0.2~svn20061127-6 [23.7kB] 下載:7 http://tw.archive.ubuntu.com gutsy/main libregexp-java 1.4-4 [89.7kB] 下載:8 http://tw.archive.ubuntu.com gutsy/main libbcel-java 5.2-2ubuntu2 [483kB] 下載:9 http://tw.archive.ubuntu.com gutsy/universe libcommons-collections3-java 3.1a-3.1 [581kB] 下載:10 http://tw.archive.ubuntu.com gutsy/main libcommons-logging-java 1.0.4-6ubuntu1 [124kB] 下載:11 http://tw.archive.ubuntu.com gutsy/universe libcommons-beanutils-java 1.7.0-5build1 [178kB] 下載:12 http://tw.archive.ubuntu.com gutsy/universe libcommons-collections-java 2.1.1-6 [154kB] 下載:13 http://tw.archive.ubuntu.com gutsy/universe libcommons-pool-java 1.3-1 [128kB] 下載:14 http://tw.archive.ubuntu.com gutsy/universe libcommons-dbcp-java 1.2.2-1 [118kB] 下載:15 http://tw.archive.ubuntu.com gutsy/universe libcommons-digester-java 1.7-3 [376kB] 下載:16 http://tw.archive.ubuntu.com gutsy/universe libcommons-el-java 1.0-3 [218kB] 下載:17 http://tw.archive.ubuntu.com gutsy/main libservlet2.3-java 4.0-8ubuntu3 [283kB] 下載:18 http://tw.archive.ubuntu.com gutsy/universe libcommons-fileupload-java 1.0-14 [74.9kB] 下載:19 http://tw.archive.ubuntu.com gutsy/universe libcommons-launcher-java 1.1-3 [134kB] 下載:20 http://tw.archive.ubuntu.com gutsy/main liblog4j1.2-java 1.2.13-4 [223kB] 下載:21 http://tw.archive.ubuntu.com gutsy/main libmx4j-java 3.0.1-3 [906kB] 下載:22 http://tw.archive.ubuntu.com gutsy/universe libcommons-modeler-java 2.0.1-3ubuntu1 [122kB] 下載:23 http://tw.archive.ubuntu.com gutsy/main liboro-java 2.0.8a-3 [69.1kB] 下載:24 http://tw.archive.ubuntu.com gutsy/universe libcommons-validator-java 1:1.1.4a-1 [172kB] 下載:25 http://tw.archive.ubuntu.com gutsy/universe libstruts1.2-java 1.2.9-3 [672kB] 下載:26 http://tw.archive.ubuntu.com gutsy/universe libtomcat5.5-java 5.5.25-1ubuntu1 [2422kB] 下載:27 http://tw.archive.ubuntu.com gutsy/universe tomcat5.5 5.5.25-1ubuntu1 [60.0kB] 下載:28 http://tw.archive.ubuntu.com gutsy/universe tomcat5.5-admin 5.5.25-1ubuntu1 [1136kB] 下載:29 http://tw.archive.ubuntu.com gutsy/universe tomcat5.5-webapps 5.5.25-1ubuntu1 [1490kB] 讀取 22.8MB 用了 32s (696kB/s)
選中了曾被取消選擇的套件 ant。
(正在讀取資料庫 … 系統目前總共安裝有 95508 個檔案和目錄。)
正在解壓縮 ant (從 …/archives/ant_1.7.0-3_all.deb) …
選中了曾被取消選擇的套件 libecj-java。
正在解壓縮 libecj-java (從 …/libecj-java_3.3.0+0728-5_all.deb) …
選中了曾被取消選擇的套件 libgcj8-jar。
正在解壓縮 libgcj8-jar (從 …/libgcj8-jar_4.2.1-5ubuntu5_all.deb) …
選中了曾被取消選擇的套件 ecj。
正在解壓縮 ecj (從 …/ecj_3.3.0+0728-5_i386.deb) …
選中了曾被取消選擇的套件 libcommons-daemon-java。
正在解壓縮 libcommons-daemon-java (從 …/libcommons-daemon-java_1.0.2~svn20061127-6_all.deb) …
選中了曾被取消選擇的套件 jsvc。
正在解壓縮 jsvc (從 …/jsvc_1.0.2~svn20061127-6_i386.deb) …
選中了曾被取消選擇的套件 libregexp-java。
正在解壓縮 libregexp-java (從 …/libregexp-java_1.4-4_all.deb) …
選中了曾被取消選擇的套件 libbcel-java。
正在解壓縮 libbcel-java (從 …/libbcel-java_5.2-2ubuntu2_all.deb) …
選中了曾被取消選擇的套件 libcommons-collections3-java。
正在解壓縮 libcommons-collections3-java (從 …/libcommons-collections3-java_3.1a-3.1_all.deb) …
選中了曾被取消選擇的套件 libcommons-logging-java。
正在解壓縮 libcommons-logging-java (從 …/libcommons-logging-java_1.0.4-6ubuntu1_all.deb) …
選中了曾被取消選擇的套件 libcommons-beanutils-java。
正在解壓縮 libcommons-beanutils-java (從 …/libcommons-beanutils-java_1.7.0-5build1_all.deb) …
選中了曾被取消選擇的套件 libcommons-collections-java。
正在解壓縮 libcommons-collections-java (從 …/libcommons-collections-java_2.1.1-6_all.deb) …
選中了曾被取消選擇的套件 libcommons-pool-java。
正在解壓縮 libcommons-pool-java (從 …/libcommons-pool-java_1.3-1_all.deb) …
選中了曾被取消選擇的套件 libcommons-dbcp-java。
正在解壓縮 libcommons-dbcp-java (從 …/libcommons-dbcp-java_1.2.2-1_all.deb) …
選中了曾被取消選擇的套件 libcommons-digester-java。
正在解壓縮 libcommons-digester-java (從 …/libcommons-digester-java_1.7-3_all.deb) …
選中了曾被取消選擇的套件 libcommons-el-java。
正在解壓縮 libcommons-el-java (從 …/libcommons-el-java_1.0-3_all.deb) …
選中了曾被取消選擇的套件 libservlet2.3-java。
正在解壓縮 libservlet2.3-java (從 …/libservlet2.3-java_4.0-8ubuntu3_all.deb) …
選中了曾被取消選擇的套件 libcommons-fileupload-java。
正在解壓縮 libcommons-fileupload-java (從 …/libcommons-fileupload-java_1.0-14_all.deb) …
選中了曾被取消選擇的套件 libcommons-launcher-java。
正在解壓縮 libcommons-launcher-java (從 …/libcommons-launcher-java_1.1-3_all.deb) …
選中了曾被取消選擇的套件 liblog4j1.2-java。
正在解壓縮 liblog4j1.2-java (從 …/liblog4j1.2-java_1.2.13-4_all.deb) …
選中了曾被取消選擇的套件 libmx4j-java。
正在解壓縮 libmx4j-java (從 …/libmx4j-java_3.0.1-3_all.deb) …
選中了曾被取消選擇的套件 libcommons-modeler-java。
正在解壓縮 libcommons-modeler-java (從 …/libcommons-modeler-java_2.0.1-3ubuntu1_all.deb) …
選中了曾被取消選擇的套件 liboro-java。
正在解壓縮 liboro-java (從 …/liboro-java_2.0.8a-3_all.deb) …
選中了曾被取消選擇的套件 libcommons-validator-java。
正在解壓縮 libcommons-validator-java (從 …/libcommons-validator-java_1%3a1.1.4a-1_all.deb) …
選中了曾被取消選擇的套件 libstruts1.2-java。
正在解壓縮 libstruts1.2-java (從 …/libstruts1.2-java_1.2.9-3_all.deb) …
選中了曾被取消選擇的套件 libtomcat5.5-java。
正在解壓縮 libtomcat5.5-java (從 …/libtomcat5.5-java_5.5.25-1ubuntu1_all.deb) …
選中了曾被取消選擇的套件 tomcat5.5。
正在解壓縮 tomcat5.5 (從 …/tomcat5.5_5.5.25-1ubuntu1_all.deb) …
選中了曾被取消選擇的套件 tomcat5.5-admin。
正在解壓縮 tomcat5.5-admin (從 …/tomcat5.5-admin_5.5.25-1ubuntu1_all.deb) …
選中了曾被取消選擇的套件 tomcat5.5-webapps。
正在解壓縮 tomcat5.5-webapps (從 …/tomcat5.5-webapps_5.5.25-1ubuntu1_all.deb) …
正在設定 ant (1.7.0-3) …
正在設定 libecj-java (3.3.0+0728-5) …
正在設定 libgcj8-jar (4.2.1-5ubuntu5) …
正在設定 ecj (3.3.0+0728-5) …

正在設定 libcommons-daemon-java (1.0.2~svn20061127-6) …

正在設定 jsvc (1.0.2~svn20061127-6) …
正在設定 libregexp-java (1.4-4) …

正在設定 libbcel-java (5.2-2ubuntu2) …
正在設定 libcommons-collections3-java (3.1a-3.1) …
正在設定 libcommons-logging-java (1.0.4-6ubuntu1) …
Segmentation fault (core dumped)
dpkg:處理 libcommons-logging-java (–configure)時出錯:
子程序·post-installation script·返回了錯誤號·139
dpkg:相依關系問題使得 libcommons-beanutils-java 的設定工作不能繼續:
libcommons-beanutils-java 相依於 libcommons-logging-java﹔然而:
libcommons-logging-java 套件還沒有被設定。
dpkg:處理 libcommons-beanutils-java (–configure)時出錯:
相依關系問題 – 仍未被設定
正在設定 libcommons-collections-java (2.1.1-6) …

正在設定 libcommons-pool-java (1.3-1) …

正在設定 libcommons-dbcp-java (1.2.2-1) …
dpkg:相依關系問題使得 libcommons-digester-java 的設定工作不能繼續:
libcommons-digester-java 相依於 libcommons-beanutils-java (>= 1.7-1)﹔然而:
libcommons-beanutils-java 套件還沒有被設定。
libcommons-digester-java 相依於 libcommons-logging-java﹔然而:
libcommons-logging-java 套件還沒有被設定。
dpkg:處理 libcommons-digester-java (–configure)時出錯:
相依關系問題 – 仍未被設定
正在設定 libcommons-el-java (1.0-3) …
正在設定 libservlet2.3-java (4.0-8ubuntu3) …
dpkg:相依關系問題使得 libcommons-fileupload-java 的設定工作不能繼續:
libcommons-fileupload-java 相依於 libcommons-beanutils-java﹔然而:
libcommons-beanutils-java 套件還沒有被設定。
dpkg:處理 libcommons-fileupload-java (–configure)時出錯:
相依關系問題 – 仍未被設定
dpkg:相依關系問題使得 libcommons-launcher-java 的設定工作不能繼續:
libcommons-launcher-java 相依於 libcommons-logging-java﹔然而:
libcommons-logging-java 套件還沒有被設定。
dpkg:處理 libcommons-launcher-java (–configure)時出錯:
相依關系問題 – 仍未被設定
正在設定 liblog4j1.2-java (1.2.13-4) …
正在設定 libmx4j-java (3.0.1-3) …
dpkg:相依關系問題使得 libcommons-modeler-java 的設定工作不能繼續:
libcommons-modeler-java 相依於 libcommons-logging-java﹔然而:
libcommons-logging-java 套件還沒有被設定。
libcommons-modeler-java 相依於 libcommons-digester-java﹔然而:
libcommons-digester-java 套件還沒有被設定。
dpkg:處理 libcommons-modeler-java (–configure)時出錯:
相依關系問題 – 仍未被設定
正在設定 liboro-java (2.0.8a-3) …
dpkg:相依關系問題使得 libcommons-validator-java 的設定工作不能繼續:
libcommons-validator-java 相依於 libcommons-beanutils-java (>= 1.5)﹔然而:
libcommons-beanutils-java 套件還沒有被設定。
libcommons-validator-java 相依於 libcommons-digester-java (>= 1.4)﹔然而:
libcommons-digester-java 套件還沒有被設定。
libcommons-validator-java 相依於 libcommons-logging-java (>= 1.0.3)﹔然而:
libcommons-logging-java 套件還沒有被設定。
dpkg:處理 libcommons-validator-java (–configure)時出錯:
相依關系問題 – 仍未被設定
dpkg:相依關系問題使得 libstruts1.2-java 的設定工作不能繼續:
libstruts1.2-java 相依於 libcommons-beanutils-java (>= 1.7.0-1)﹔然而:
libcommons-beanutils-java 套件還沒有被設定。
libstruts1.2-java 相依於 libcommons-digester-java (>= 1.7-1)﹔然而:
libcommons-digester-java 套件還沒有被設定。
libstruts1.2-java 相依於 libcommons-fileupload-java (>= 1.0-1)﹔然而:
libcommons-fileupload-java 套件還沒有被設定。
libstruts1.2-java 相依於 libcommons-logging-java﹔然而:
libcommons-logging-java 套件還沒有被設定。
libstruts1.2-java 相依於 libcommons-validator-java (>= 1.1.4-1)﹔然而:
libcommons-validator-java 套件還沒有被設定。
dpkg:處理 libstruts1.2-java (–configure)時出錯:
相依關系問題 – 仍未被設定
dpkg:相依關系問題使得 libtomcat5.5-java 的設定工作不能繼續:
libtomcat5.5-java 相依於 libcommons-launcher-java﹔然而:
libcommons-launcher-java 套件還沒有被設定。
libtomcat5.5-java 相依於 libcommons-logging-java﹔然而:
libcommons-logging-java 套件還沒有被設定。
libtomcat5.5-java 相依於 libcommons-modeler-java (>= 1.1-1)﹔然而:
libcommons-modeler-java 套件還沒有被設定。
dpkg:處理 libtomcat5.5-java (–configure)時出錯:
相依關系問題 – 仍未被設定
dpkg:相依關系問題使得 tomcat5.5 的設定工作不能繼續:
tomcat5.5 相依於 libtomcat5.5-java (>= 5.5.25-1ubuntu1)﹔然而:
libtomcat5.5-java 套件還沒有被設定。
dpkg:處理 tomcat5.5 (–configure)時出錯:
相依關系問題 – 仍未被設定
dpkg:相依關系問題使得 tomcat5.5-admin 的設定工作不能繼續:
tomcat5.5-admin 相依於 tomcat5.5 (>= 5.5.25-1ubuntu1)﹔然而:
tomcat5.5 套件還沒有被設定。
tomcat5.5-admin 相依於 libstruts1.2-java﹔然而:
libstruts1.2-java 套件還沒有被設定。
tomcat5.5-admin 相依於 libcommons-fileupload-java﹔然而:
libcommons-fileupload-java 套件還沒有被設定。
tomcat5.5-admin 相依於 libcommons-beanutils-java﹔然而:
libcommons-beanutils-java 套件還沒有被設定。
dpkg:處理 tomcat5.5-admin (–configure)時出錯:
相依關系問題 – 仍未被設定
dpkg:相依關系問題使得 tomcat5.5-webapps 的設定工作不能繼續:
tomcat5.5-webapps 相依於 tomcat5.5 (>= 5.5.25-1ubuntu1)﹔然而:
tomcat5.5 套件還沒有被設定。
dpkg:處理 tomcat5.5-webapps (–configure)時出錯:
相依關系問題 – 仍未被設定
在處理時有錯誤發生:
libcommons-logging-java
libcommons-beanutils-java
libcommons-digester-java
libcommons-fileupload-java
libcommons-launcher-java
libcommons-modeler-java
libcommons-validator-java
libstruts1.2-java
libtomcat5.5-java
tomcat5.5
tomcat5.5-admin
tomcat5.5-webapps
E: Sub-process /usr/bin/dpkg returned an error code (1)
==>錯的太離譜了!

==>之後把終端機視窗重開後再執行就ok了

馬上成為工作達人的Fans

About ㄚ琪

工作達人Fun Taiwan的創辦者及總編,可以在這裡更認識他。

2 comments

  1. 是不是原机器已经安装了tomcat

  2. 不是,如果已經有安裝了,它會顯示已經安裝此套件的訊息!
    這是在我自己的電腦上所作的模擬測試!

發表迴響

你的電子郵件位址並不會被公開。 Required fields are marked *

*

這個網站採用 Akismet 服務減少垃圾留言。進一步瞭解 Akismet 如何處理網站訪客的留言資料

Scroll To Top